import * as React from 'react';
const StoreIcon = ({
  size,
  color = 'currentColor',
  ...props
}: { size?: number; fill?: string } & React.SVGProps<any>) => (
  <svg
    width={size || 24}
    height={size || 24}
    viewBox="0 0 24 24"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}
  >
    <path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M3.32615 4.40345C3.58708 3.5685 4.36034 3 5.23511 3H18.7647C19.6395 3 20.4128 3.5685 20.6737 4.40345L21.7787 7.9394C22.2061 9.30721 21.8438 10.6871 20.9999 11.6597V19C20.9999 20.1046 20.1045 21 18.9999 21H4.99992C3.89535 21 2.99992 20.1046 2.99992 19V11.6597C2.15607 10.6871 1.79373 9.30721 2.22117 7.9394L3.32615 4.40345ZM14.0735 8.65106L13.6171 5H10.3827L9.92632 8.65106C9.77041 9.89833 10.7429 11 11.9999 11C13.2568 11 14.2292 9.89818 14.0735 8.65106ZM8.36714 5H5.23511L4.13013 8.53595C3.74821 9.75809 4.66125 11 5.94167 11C6.89885 11 7.70623 10.2873 7.82496 9.33747L8.36714 5ZM15.6327 5L16.0581 8.40299L16.1749 9.33747C16.2936 10.2873 17.101 11 18.0582 11C19.3386 11 20.2516 9.75809 19.8697 8.53595L18.7647 5H15.6327Z"
      fill={color}
    />
  </svg>
);
export default StoreIcon;
